org.apache.sysds.runtime.controlprogram.parfor.opt

## Class OptNodeStatistics

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.opt.OptNodeStatistics

-     public class OptNodeStatistics
      extends Object

  TODO extend to right as well (see PerfTestTool, currently only trained with regard to left) TODO integrate mem and exec time for reuse?

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CostEstimator.DataFormat` | `DEFAULT_DATAFORMAT`
    `static long` | `DEFAULT_DIMENSION`
    `static double` | `DEFAULT_SPARSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptNodeStatistics()` Default constructor, sets all internal statistics to their respective default values.
    `OptNodeStatistics(long dim1, long dim2, long dim3, long dim4, double sparsity, CostEstimator.DataFormat df)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CostEstimator.DataFormat` | `getDataFormat()`
    `long` | `getDim1()`
    `long` | `getDim2()`
    `long` | `getDim3()`
    `long` | `getDim4()`
    `double` | `getSparsity()`
    `void` | `setDataFormat(CostEstimator.DataFormat df)`
    `void` | `setDim1(long dim1)`
    `void` | `setDim2(long dim2)`
    `void` | `setDim3(long dim3)`
    `void` | `setDim4(long dim4)`
    `void` | `setSparsity(double sparsity)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DIMENSION

          public static final long DEFAULT_DIMENSION

      See Also:
        Constant Field Values

    - #### DEFAULT_SPARSITY

          public static final double DEFAULT_SPARSITY

      See Also:
        Constant Field Values

    - #### DEFAULT_DATAFORMAT

          public static final CostEstimator.DataFormat DEFAULT_DATAFORMAT

  - ### Constructor Detail

    - #### OptNodeStatistics

          public OptNodeStatistics()

      Default constructor, sets all internal statistics to their respective default values.

    - #### OptNodeStatistics

          public OptNodeStatistics(long dim1,
                                   long dim2,
                                   long dim3,
                                   long dim4,
                                   double sparsity,
                                   CostEstimator.DataFormat df)

  - ### Method Detail

    - #### getDim1

          public long getDim1()

    - #### setDim1

          public void setDim1(long dim1)

    - #### getDim2

          public long getDim2()

    - #### setDim2

          public void setDim2(long dim2)

    - #### getDim3

          public long getDim3()

    - #### setDim3

          public void setDim3(long dim3)

    - #### getDim4

          public long getDim4()

    - #### setDim4

          public void setDim4(long dim4)

    - #### getSparsity

          public double getSparsity()

    - #### setSparsity

          public void setSparsity(double sparsity)

    - #### getDataFormat

          public CostEstimator.DataFormat getDataFormat()

    - #### setDataFormat

          public void setDataFormat(CostEstimator.DataFormat df)

Copyright © 2021 The Apache Software Foundation. All rights reserved.